Bug 729632 - Segfault on quit with Chinese locale [ @ gdk_display_close() ]
Summary: Segfault on quit with Chinese locale [ @ gdk_display_close() ]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: thunderbird
Version: 5.7
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 569592 737537
TreeView+ depends on / blocked
 
Reported: 2011-08-10 12:24 UTC by Jiri Koten
Modified: 2012-03-14 07:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-14 07:40:33 UTC


Attachments (Terms of Use)
backtrace (11.91 KB, text/plain)
2011-08-10 12:28 UTC, Jiri Koten
no flags Details
patch (622 bytes, patch)
2012-02-23 21:35 UTC, Martin Stransky
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0387 normal SHIPPED_LIVE Critical: firefox security and bug fix update 2012-03-14 11:39:51 UTC

Description Jiri Koten 2011-08-10 12:24:35 UTC
Description of problem:
When running thunderbird with Chinese locale, there is segfault on closing thunderbird. 

Version-Release number of selected component (if applicable):
thunderbird-5.0-1.el5

How reproducible:
100%

Steps to Reproduce:
1. LANG=zh_TW thunderbird
2. Close TB; Ctrl-Q
  
Actual results:
Segmentation fault.

Expected results:
Clean exit

Comment 1 Jiri Koten 2011-08-10 12:28:40 UTC
Created attachment 517590 [details]
backtrace

Comment 2 Martin Stransky 2011-09-19 14:59:08 UTC
Can you try other locale? Like US/CZ.

Comment 3 Jiri Koten 2011-09-22 16:49:34 UTC
I don't see any similar crash in Thunderbird 7 - thunderbird-7.0-0.6b3.el5_7.

Comment 4 RHEL Product and Program Management 2012-01-09 14:37:50 UTC
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.8 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.

Comment 5 Jiri Koten 2012-02-20 18:30:20 UTC
The crash upon exit is back in thunderbird-10.0.1-3.el5_8.

Comment 6 Martin Stransky 2012-02-21 07:54:06 UTC
Please install debuginfo and try again. And test an upstream binary too.

Comment 7 Jiri Koten 2012-02-21 09:08:57 UTC
Tb run with $ LANG=zh_TW.utf8 thunderbird -g -d gdb, gdb output + t a a bt
http://pastebin.test.redhat.com/77635

Comment 8 Jiri Koten 2012-02-21 09:13:18 UTC
Also it seems to me that there is something wrong with the debuginfo package, I got 

"Reading symbols from /usr/lib64/thunderbird/thunderbird-bin...Reading symbols from /usr/lib/debug/usr/lib64/thunderbird/thunderbird-bin.debug...(no debugging symbols found)...done.
(no debugging symbols found)...done."

when run in gdb.

Comment 9 Martin Stransky 2012-02-21 09:29:58 UTC
It's a classic crash in gdk_display_close(), dupe of bug 543165.

Comment 10 Jiri Koten 2012-02-21 09:39:39 UTC
Upstream binary also crashed.

Add-ons: {972ce4c6-7e08-4474-a285-3208198ce6fd}:10.0.2
BuildID: 20120216022139
CrashTime: 1329816823
EMCheckCompatibility: true
FramePoisonBase: 00000000f3469000
FramePoisonSize: 4096
InstallTime: 1329816651
Notes: GLXtest process failed (exited with status 1): GLX version older than the required 1.3


ProductName: Thunderbird
ReleaseChannel: release
StartupTime: 1329816809
Theme: classic/1.0
Throttleable: 1
Vendor: 
Version: 10.0.2

This report also contains technical information about the state of the application when it crashed.

Comment 11 Martin Stransky 2012-02-21 09:43:41 UTC
One of upstream fixes is https://bugzilla.mozilla.org/show_bug.cgi?id=576933 but it looks like we see a different one.

Comment 12 Martin Stransky 2012-02-21 09:45:12 UTC
Okay, I'll check it. Do you run through vnc, any virtualization or is it a bare metal?

Comment 13 Jiri Koten 2012-02-21 09:48:49 UTC
It is a virt. guest machine, qemu-kvm + spice.

Comment 14 Jiri Koten 2012-02-21 12:17:05 UTC
Same results on bare metal.

Comment 15 Martin Stransky 2012-02-22 13:37:27 UTC
Does it affect thunderbird only? Firefox uses the same code so I'd expect the crashes there too.

Comment 16 Martin Stransky 2012-02-22 14:39:03 UTC
Firefox does not crash here. Anyway, do you have installed the Chinese fonts?

Comment 17 Jiri Koten 2012-02-22 16:34:25 UTC
I tested both with and w/o Chinese fonts, both crashed. I Haven't tested with Firefox.

Comment 18 Martin Stransky 2012-02-23 21:33:47 UTC
Okay, it looks like we have to apply gtk2-2.10 workaround here. We should add it to next security update.

Comment 19 Martin Stransky 2012-02-23 21:35:54 UTC
Created attachment 565386 [details]
patch

Comment 23 errata-xmlrpc 2012-03-14 07:40:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0387.html


Note You need to log in before you can comment on or make changes to this bug.